# Uses of Class co.aikar.commands.MessageType (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: MessageType

# Uses of Class
co.aikar.commands.MessageType

Packages that use MessageType
Package
Description
co.aikar.commands

## Uses of MessageType in co.aikar.commands

Fields in co.aikar.commands declared as MessageType
Modifier and Type
Field
Description
`static final MessageType`
MessageType.`ERROR`
`static final MessageType`
MessageType.`HELP`
`static final MessageType`
MessageType.`INFO`
`static final MessageType`
MessageType.`SYNTAX`
Fields in co.aikar.commands with type parameters of type MessageType
Modifier and Type
Field
Description
`protected Map<MessageType,MF>`
CommandManager.`formatters`
Methods in co.aikar.commands with parameters of type MessageType
Modifier and Type
Method
Description
`String`
CommandManager.`formatMessage(CommandIssuer issuer, MessageType type, co.aikar.locales.MessageKeyProvider key, String... replacements)`
`MF`
CommandManager.`getFormat(MessageType type)`
`default void`
CommandIssuer.`sendMessage(MessageType type, co.aikar.locales.MessageKeyProvider key, String... replacements)`
`default void`
CommandIssuer.`sendMessage(MessageType type, co.aikar.locales.MessageKey key, String... replacements)`
`void`
CommandManager.`sendMessage(CommandIssuer issuer, MessageType type, co.aikar.locales.MessageKeyProvider key, String... replacements)`
`void`
CommandManager.`sendMessage(IT issuerArg, MessageType type, co.aikar.locales.MessageKeyProvider key, String... replacements)`
`void`
CommandManager.`setFormat(MessageType type, int i, FT color)`
`void`
CommandManager.`setFormat(MessageType type, FT... colors)`
`MF`
CommandManager.`setFormat(MessageType type, MF formatter)`